//Copyright (C)2014-2023 GOWIN Semiconductor Corporation.
//All rights reserved.
//File Title: Timing Constraints file
//Tool Version: V1.9.9.01 (64-bit) 
//Created Time: 2023-12-22 09:58:06
create_clock -name dl_clk1 -period 10 -waveform {0 5} [get_nets {slvs_ec_rx_u0/SLVS_EC_RX_Top_inst/slvs_ec_rx_wrapper_inst/slvs_rx_phy/n122_9}]
create_clock -name sysclk2 -period 10 -waveform {0 5} [get_pins {video_top_u0/u_ddr3/gw3_top/u_ddr_phy_top/fclkdiv/CLKOUT}]
create_clock -name dl_clk2 -period 10 -waveform {0 5} [get_nets {slvs_ec_rx_u0/SLVS_EC_RX_Top_inst/slvs_ec_rx_wrapper_inst/slvs_rx_link/unpacket_inst/n107_11}]
create_clock -name rx_clk -period 13.423 -waveform {0 5.883} [get_nets {rx_clk}]
create_clock -name sysclk -period 20 -waveform {0 10} [get_ports {sys_clk}]
create_clock -name clk400 -period 2.5 -waveform {0 1.25} [get_nets {video_top_u0/memory_clk}]
create_clock -name clk100 -period 10 -waveform {0 5} [get_nets {video_top_u0/memory_clk_div}]
create_clock -name pixel_clk -period 6.734 -waveform {0 3.367} [get_nets {pixel_clk}]
set_clock_groups -asynchronous -group [get_clocks {clk100}] -group [get_clocks {sysclk2}]
set_clock_groups -asynchronous -group [get_clocks {sysclk2}] -group [get_clocks {clk400}]
set_clock_groups -asynchronous -group [get_clocks {clk100}] -group [get_clocks {clk400}]
set_clock_groups -asynchronous -group [get_clocks {pixel_clk}] -group [get_clocks {sysclk2}]
set_clock_groups -asynchronous -group [get_clocks {pixel_clk}] -group [get_clocks {sysclk}]
set_clock_groups -asynchronous -group [get_clocks {rx_clk}] -group [get_clocks {sysclk2}]
set_clock_groups -asynchronous -group [get_clocks {dl_clk1}] -group [get_clocks {rx_clk}]
set_clock_groups -asynchronous -group [get_clocks {rx_clk}] -group [get_clocks {dl_clk2}]
