`timescale 1ns/100ps

module tb_slvs_ec_rx();
reg rst_n;
reg clk_125m;

SLVS_EC_RX_Top u_dut
(   .i_rst_n       ( rst_n     )
,   .i_clk         ( clk_125m  )
`ifndef DEBUG
,   .i_lane0_data  ()
,   .o_v_sync      ()
,   .o_h_sync      ()
,   .o_d_sync      ()
`endif
,   .o_crc_state        ()

);

always begin
    #8 clk_125m <= 0;
    #8 clk_125m <= 1;
end

initial begin
    rst_n = 0;
    # 102;
    rst_n = 1;
    # 1000000000;
    $finish;
end

endmodule