//Copyright (C)2014-2023 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//Tool Version: V1.9.9 (64-bit)
//Part Number: GW5AST-LV138FPG676AES
//Device: GW5AST-138B
//Device Version: B
//Created Time: Wed Dec 20 16:38:15 2023

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

    SerDes_Top your_instance_name(
        .SLVS_EC_RX_Top_o_pixel0(SLVS_EC_RX_Top_o_pixel0_o), //output [15:0] SLVS_EC_RX_Top_o_pixel0
        .SLVS_EC_RX_Top_o_pixel1(SLVS_EC_RX_Top_o_pixel1_o), //output [15:0] SLVS_EC_RX_Top_o_pixel1
        .SLVS_EC_RX_Top_o_pixel2(SLVS_EC_RX_Top_o_pixel2_o), //output [15:0] SLVS_EC_RX_Top_o_pixel2
        .SLVS_EC_RX_Top_o_pixel3(SLVS_EC_RX_Top_o_pixel3_o), //output [15:0] SLVS_EC_RX_Top_o_pixel3
        .SLVS_EC_RX_Top_o_pixel4(SLVS_EC_RX_Top_o_pixel4_o), //output [15:0] SLVS_EC_RX_Top_o_pixel4
        .SLVS_EC_RX_Top_o_pixel5(SLVS_EC_RX_Top_o_pixel5_o), //output [15:0] SLVS_EC_RX_Top_o_pixel5
        .SLVS_EC_RX_Top_o_pixel6(SLVS_EC_RX_Top_o_pixel6_o), //output [15:0] SLVS_EC_RX_Top_o_pixel6
        .SLVS_EC_RX_Top_o_pixel7(SLVS_EC_RX_Top_o_pixel7_o), //output [15:0] SLVS_EC_RX_Top_o_pixel7
        .SLVS_EC_RX_Top_o_pixel8(SLVS_EC_RX_Top_o_pixel8_o), //output [15:0] SLVS_EC_RX_Top_o_pixel8
        .SLVS_EC_RX_Top_o_pixel9(SLVS_EC_RX_Top_o_pixel9_o), //output [15:0] SLVS_EC_RX_Top_o_pixel9
        .SLVS_EC_RX_Top_o_pixel10(SLVS_EC_RX_Top_o_pixel10_o), //output [15:0] SLVS_EC_RX_Top_o_pixel10
        .SLVS_EC_RX_Top_o_pixel11(SLVS_EC_RX_Top_o_pixel11_o), //output [15:0] SLVS_EC_RX_Top_o_pixel11
        .SLVS_EC_RX_Top_o_pixel12(SLVS_EC_RX_Top_o_pixel12_o), //output [15:0] SLVS_EC_RX_Top_o_pixel12
        .SLVS_EC_RX_Top_o_pixel13(SLVS_EC_RX_Top_o_pixel13_o), //output [15:0] SLVS_EC_RX_Top_o_pixel13
        .SLVS_EC_RX_Top_o_pixel14(SLVS_EC_RX_Top_o_pixel14_o), //output [15:0] SLVS_EC_RX_Top_o_pixel14
        .SLVS_EC_RX_Top_o_pixel15(SLVS_EC_RX_Top_o_pixel15_o), //output [15:0] SLVS_EC_RX_Top_o_pixel15
        .SLVS_EC_RX_Top_o_v_sync(SLVS_EC_RX_Top_o_v_sync_o), //output SLVS_EC_RX_Top_o_v_sync
        .SLVS_EC_RX_Top_o_h_sync(SLVS_EC_RX_Top_o_h_sync_o), //output SLVS_EC_RX_Top_o_h_sync
        .SLVS_EC_RX_Top_o_d_sync(SLVS_EC_RX_Top_o_d_sync_o), //output SLVS_EC_RX_Top_o_d_sync
        .SLVS_EC_RX_Top_o_link_state(SLVS_EC_RX_Top_o_link_state_o), //output SLVS_EC_RX_Top_o_link_state
        .SLVS_EC_RX_Top_o_crc_state(SLVS_EC_RX_Top_o_crc_state_o), //output SLVS_EC_RX_Top_o_crc_state
        .SLVS_EC_RX_Top_o_clk(SLVS_EC_RX_Top_o_clk_o), //output SLVS_EC_RX_Top_o_clk
        .SLVS_EC_RX_Top_i_rst_n(SLVS_EC_RX_Top_i_rst_n_i), //input SLVS_EC_RX_Top_i_rst_n
        .SLVS_EC_RX_Top_i_sync_symbol(SLVS_EC_RX_Top_i_sync_symbol_i), //input [7:0] SLVS_EC_RX_Top_i_sync_symbol
        .SLVS_EC_RX_Top_i_deskew_symbol(SLVS_EC_RX_Top_i_deskew_symbol_i), //input [7:0] SLVS_EC_RX_Top_i_deskew_symbol
        .SLVS_EC_RX_Top_i_standby_symbol(SLVS_EC_RX_Top_i_standby_symbol_i), //input [7:0] SLVS_EC_RX_Top_i_standby_symbol
        .SLVS_EC_RX_Top_i_idle_code_k(SLVS_EC_RX_Top_i_idle_code_k_i), //input [3:0] SLVS_EC_RX_Top_i_idle_code_k
        .SLVS_EC_RX_Top_i_idle_code(SLVS_EC_RX_Top_i_idle_code_i), //input [31:0] SLVS_EC_RX_Top_i_idle_code
        .SLVS_EC_RX_Top_i_lane_num(SLVS_EC_RX_Top_i_lane_num_i), //input [7:0] SLVS_EC_RX_Top_i_lane_num
        .SLVS_EC_RX_Top_i_line_length(SLVS_EC_RX_Top_i_line_length_i), //input [15:0] SLVS_EC_RX_Top_i_line_length
        .SLVS_EC_RX_Top_i_pixel_bit(SLVS_EC_RX_Top_i_pixel_bit_i), //input [7:0] SLVS_EC_RX_Top_i_pixel_bit
        .SLVS_EC_RX_Top_i_crc_option(SLVS_EC_RX_Top_i_crc_option_i), //input SLVS_EC_RX_Top_i_crc_option
        .SLVS_EC_RX_Top_i_baud_grade(SLVS_EC_RX_Top_i_baud_grade_i), //input [3:0] SLVS_EC_RX_Top_i_baud_grade
        .SLVS_EC_RX_Top_i_config(SLVS_EC_RX_Top_i_config_i), //input SLVS_EC_RX_Top_i_config
        .SLVS_EC_RX_Top_i_standby(SLVS_EC_RX_Top_i_standby_i), //input SLVS_EC_RX_Top_i_standby
        .SLVS_EC_RX_Top_i_setup(SLVS_EC_RX_Top_i_setup_i), //input SLVS_EC_RX_Top_i_setup
        .SLVS_EC_RX_Top_i_phy_sync(SLVS_EC_RX_Top_i_phy_sync_i) //input SLVS_EC_RX_Top_i_phy_sync
    );

//--------Copy end-------------------
