//Copyright (C)2014-2023 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//Tool Version: V1.9.9 (64-bit)
//Part Number: GW5AST-LV138FPG676AES
//Device: GW5AST-138
//Device Version: B
//Created Time: Wed Dec 20 16:38:14 2023

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	SLVS_EC_RX_Top your_instance_name(
		.i_clk(i_clk_i), //input i_clk
		.o_clk(o_clk_o), //output o_clk
		.i_rst_n(i_rst_n_i), //input i_rst_n
		.i_sync_symbol(i_sync_symbol_i), //input [7:0] i_sync_symbol
		.i_deskew_symbol(i_deskew_symbol_i), //input [7:0] i_deskew_symbol
		.i_standby_symbol(i_standby_symbol_i), //input [7:0] i_standby_symbol
		.i_idle_code_k(i_idle_code_k_i), //input [3:0] i_idle_code_k
		.i_idle_code(i_idle_code_i), //input [31:0] i_idle_code
		.i_lane_num(i_lane_num_i), //input [7:0] i_lane_num
		.i_line_length(i_line_length_i), //input [15:0] i_line_length
		.i_pixel_bit(i_pixel_bit_i), //input [7:0] i_pixel_bit
		.i_crc_option(i_crc_option_i), //input i_crc_option
		.i_baud_grade(i_baud_grade_i), //input [3:0] i_baud_grade
		.i_config(i_config_i), //input i_config
		.i_standby(i_standby_i), //input i_standby
		.i_setup(i_setup_i), //input i_setup
		.i_phy_sync(i_phy_sync_i), //input i_phy_sync
		.i_lane0_data(i_lane0_data_i), //input [87:0] i_lane0_data
		.o_pixel0(o_pixel0_o), //output [15:0] o_pixel0
		.o_pixel1(o_pixel1_o), //output [15:0] o_pixel1
		.o_pixel2(o_pixel2_o), //output [15:0] o_pixel2
		.o_pixel3(o_pixel3_o), //output [15:0] o_pixel3
		.o_pixel4(o_pixel4_o), //output [15:0] o_pixel4
		.o_pixel5(o_pixel5_o), //output [15:0] o_pixel5
		.o_pixel6(o_pixel6_o), //output [15:0] o_pixel6
		.o_pixel7(o_pixel7_o), //output [15:0] o_pixel7
		.o_pixel8(o_pixel8_o), //output [15:0] o_pixel8
		.o_pixel9(o_pixel9_o), //output [15:0] o_pixel9
		.o_pixel10(o_pixel10_o), //output [15:0] o_pixel10
		.o_pixel11(o_pixel11_o), //output [15:0] o_pixel11
		.o_pixel12(o_pixel12_o), //output [15:0] o_pixel12
		.o_pixel13(o_pixel13_o), //output [15:0] o_pixel13
		.o_pixel14(o_pixel14_o), //output [15:0] o_pixel14
		.o_pixel15(o_pixel15_o), //output [15:0] o_pixel15
		.o_v_sync(o_v_sync_o), //output o_v_sync
		.o_h_sync(o_h_sync_o), //output o_h_sync
		.o_d_sync(o_d_sync_o), //output o_d_sync
		.o_pixel_oe(o_pixel_oe_o), //output [7:0] o_pixel_oe
		.o_link_state(o_link_state_o), //output o_link_state
		.o_crc_state(o_crc_state_o), //output o_crc_state
		.SLVS_EC_XHS(SLVS_EC_XHS_i), //input SLVS_EC_XHS
		.SLVS_EC_XVS(SLVS_EC_XVS_i), //input SLVS_EC_XVS
		.o_line_number(o_line_number_o), //output [15:0] o_line_number
		.o_line_valid_rev(o_line_valid_rev_o) //output o_line_valid_rev
	);

//--------Copy end-------------------
