## part 1: new lib

quit -sim

vlib work
vmap work work

## part 2: load design
vlog +define+SIM=1 "../../project/src/serdes/slvs_ec_rx/slvs_ec_rx.vo"
#lib
vlog "../../tb/prim_sim.v"
#testbench
vlog +define+SIM=1 "../../tb/tb_slvs_ec_rx.v"

## part 3: sim design
vsim +nowarnTFMPC -L work -voptargs=+acc work.tb_slvs_ec_rx

## part 4: add signals
do ./wave.do

## part 5: show ui 
view wave

## part 6: run 
run -all
